saga (9.8.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Fix old FSF address in copyright file.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Apr 2025 14:23:04 +0200

saga (9.7.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 20 Jan 2025 15:46:00 +0100

saga (9.7.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 09 Jan 2025 12:30:19 +0100

saga (9.7.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Dec 2024 20:11:24 +0100

saga (9.6.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 16 Dec 2024 17:10:36 +0100

saga (9.6.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop appstream.patch, applied upstream.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Dec 2024 07:20:11 +0100

saga (9.6.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update lintian overrides.
  * Add patch to fix AppStream metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 23 Oct 2024 15:25:19 +0200

saga (9.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Sep 2024 15:42:03 +0200

saga (9.5.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 17 Jul 2024 08:31:29 +0200

saga (9.5.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Jul 2024 20:59:57 +0200

saga (9.4.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 10 Jun 2024 20:26:20 +0200

saga (9.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.
  * Drop python.patch, applied upstream.
  * Explicitly disable PDAL support.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 16 Apr 2024 13:04:32 +0200

saga (9.3.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop SWIG 4.2 patch, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Mar 2024 05:40:11 +0100

saga (9.3.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 09 Feb 2024 19:14:43 +0100

saga (9.3.1+dfsg-3~exp1) experimental; urgency=medium

  * Team upload.
  * Add upstream patch to fix FTBFS with SWIG 4.2.
  * Reinstate Python bindings.
  * Switch to dh-sequence-*.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 09 Feb 2024 15:48:22 +0100

saga (9.3.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Replace pkg-config build dependency with pkgconf.
  * Drop Python bindings, causes FTBFS with SWIG 4.2.
    (closes: #1062880)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Feb 2024 20:31:49 +0100

saga (9.3.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop spelling-errors.patch, applied upstream.
  * Fix typo in manpage.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Jan 2024 20:39:58 +0100

saga (9.3.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.
  * Add patch to fix PySAGA installation path.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Dec 2023 08:12:25 +0100

saga (9.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop spelling-errors.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 Dec 2023 06:51:14 +0100

saga (9.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 06 Oct 2023 06:23:15 +0200

saga (9.1.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Oct 2023 05:16:09 +0200

saga (9.1.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream releases.
  * Use execute_{before,after} instead of override in rules file.
    (closes: #1049309)
  * Enable Salsa CI.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Sep 2023 05:19:55 +0200

saga (9.1.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Export DEB_PYTHON_INSTALL_LAYOUT to fix FTBFS with CMake 3.27.0.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 26 Jul 2023 16:44:36 +0200

saga (9.1.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 11 Jul 2023 16:36:28 +0200

saga (9.0.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump debhelper compat to 13.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 05 Jul 2023 15:20:31 +0200

saga (9.0.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Jun 2023 15:05:23 +0200

saga (9.0.2+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 May 2023 06:38:07 +0200

saga (9.0.1+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop triangle files from Files-Excluded, removed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Apr 2023 15:59:02 +0200

saga (9.0.0+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.
  * Drop no-distutils.patch, applied upstream.
  * Rename library packages for SONAME bump.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 30 Mar 2023 20:11:07 +0200

saga (8.5.1+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes.
  * Add patch to not use deprecated distutils module.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Feb 2023 15:12:50 +0100

saga (8.5.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Drop libvigraimpex-dev build dependency (dead upstream, RC buggy).

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Jan 2023 12:31:42 +0100

saga (8.5.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Dec 2022 09:17:29 +0100

saga (8.4.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 20 Dec 2022 16:30:32 +0100

saga (8.4.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add Rules-Requires-Root to control file.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 27 Nov 2022 11:46:48 +0100

saga (8.4.0+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.
  * Update build dependencies for wxwidgets3.2.
    (closes: #1019762)
  * Update lintian overrides.

  [ Johan Van de Wauw ]
  * New upstream release.
  * Update copyright for clipper

 -- Johan Van de Wauw <johan@gisky.be>  Tue, 25 Oct 2022 13:46:55 +0200

saga (8.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches (applied upstream)
  * Skip running autoreconf during build

 -- Johan Van de Wauw <johan@gisky.be>  Thu, 16 Jun 2022 10:06:47 +0200

saga (8.2.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add patch support GDAL 3.5.0 Multi-Arch path in FindGDAL.cmake.
    (closes: #1012675)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Jun 2022 17:24:11 +0200

saga (8.2.1+dfsg-2) unstable; urgency=medium

  * Add fix for saga_cmd which was not finding modules

 -- Johan Van de Wauw <johan@gisky.be>  Tue, 31 May 2022 09:46:21 +0200

saga (8.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 May 2022 06:55:17 +0200

saga (8.2.1+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.

  [ Johan Van de Wauw ]
  * New upstream release.
  * Watch for any version of saga
  * Adjust excluded paths in d/copyright
  * Switch packaging to CMake.

  [ Bas Couwenberg ]
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 May 2022 19:20:12 +0200

saga (7.3.0+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Add patch by Adrian Bunk to fix FTBFS with python3.10.
    (closes: #1009417)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 May 2022 20:34:47 +0200

saga (7.3.0+dfsg-7) unstable; urgency=medium

  * Remove libvigra-impex dependency (and module)

 -- Johan Van de Wauw <johan@gisky.be>  Wed, 15 Dec 2021 09:12:00 +0100

saga (7.3.0+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Add pkg-config to build dependencies.
    (closes: #997045)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 23 Oct 2021 07:34:51 +0200

saga (7.3.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Bump watch file version to 4.
  * Update lintian overrides.
  * Bump Standards-Version to 4.5.1, no changes.
  * Override dh_python3 to use --no-ext-rename to fix broken symlink.
    (closes: #988674)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Jun 2021 07:12:36 +0200

saga (7.3.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Drop Name field from upstream metadata.
  * Bump Standards-Version to 4.5.0, no changes.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
    - Don't explicitly enable autoreconf, enabled by default
    - Drop dh-autoreconf build dependency
  * Add patch by Timo Röhling to fix FTBFS with Qhull 2019.1.
    (closes: #956461)
  * Drop unused override for hardening-no-fortify-functions.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Apr 2020 20:38:04 +0200

saga (7.3.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Drop obsolete libsaga transitional package.
    (closes: #940781)
  * Bump Standards-Version to 4.4.1, no changes.
  * Drop OpenCV support.
    (closes: #922593)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 16 Oct 2019 18:09:48 +0200

saga (7.3.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Switch to wxWidgets GTK 3 implementation.
    (closes: #933464)
  * Update lintian override for spelling-error-in-binary.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 16 Sep 2019 12:44:30 +0200

saga (7.3.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Jul 2019 19:06:03 +0200

saga (7.3.0+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.4.0, no changes.
  * Update copyright file, changes:
    - Update repackaging comment
    - Update paths for moved files
    - Drop idw source files, removed upstream
    - Add license & copyright for new files
  * Add patch to fix spelling errors.
  * Switch to Python 3.

  [ Johan Van de Wauw ]
  * Also watch for new LTR release
  * Adjust files-excluded paths
  * New upstream version 7.3.0+dfsg
    (closes: #931941)
  * Use system version of svm
  * Bump saga api packages to new version
  * Add libdxf patch

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 Jul 2019 13:06:02 +0200

saga (2.3.1+dfsg-5) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Add upstream patches to update AppStream metadata for non-legacy format.
  * Bump Standards-Version to 4.3.0, no changes.
  * Remove package name from lintian overrides.
  * Drop unused libogdi-3.2-dev build dependency.
  * Update gbp.conf to use --source-only-changes by default.
  * Add DEP-3 headers to fixwikilink.patch.
  * Add license & copyright for AppStream metadata.

  [ Johan Van de Wauw ]
  * Add patch to fix wiki link in help menu

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 10:53:19 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libsaga-api9`.
